%global install_loc  %{_datadir}/eclipse/dropins/eclemma

Name:      eclipse-eclemma
Version:   2.2.1
Release:   %mkrel 4
Summary:   Java code coverage tool plugin for Eclipse
Group:     Development/Java
License:   EPL and ASL 2.0
URL:       http://www.eclemma.org
Source0:   v%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    jacoco >= 0.6.3
BuildRequires: 	  maven-local
BuildRequires:	  tycho
BuildRequires:	  tycho-extras
BuildRequires:	  feclipse-maven-plugin
BuildRequires:	  maven-plugin-build-helper
Requires:         java
Requires:         jpackage-utils
Requires:         eclipse-jdt >= 1:4.2.0
Requires:         jacoco >= 0.6.0
Requires:         objectweb-asm4

%description
EclEmma is a Java code coverage tool for Eclipse based on the EMMA Java
code coverage tool.  Features include launching from within the IDE,
coverage analysis summaries, and highlighting in Java source code
editors.

%prep
%setup -q -n eclemma-%{version}
#git does not handle empty folders - but this one is necessary

mkdir -p com.mountainminds.eclemma.asm/src
rm -fr com.mountainminds.eclemma.debug.ui.compatibility/src/org/eclipse/debug/ui/actions/RelaunchLastAction.java
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%pom_remove_plugin :jacoco-maven-plugin com.mountainminds.eclemma.build/pom.xml
%pom_remove_dep org.jacoco: com.mountainminds.eclemma.build/pom.xml

mkdir -p .m2/p2/repo-sdk/plugins
pushd .m2/p2/repo-sdk/plugins
	ln -t . -s /usr/share/java/jacoco/*
popd


%build
mvn-rpmbuild clean install -DskipTychoVersionCheck -Dimplicit-target -DskipTests

%install
install -d -m 755 %{buildroot}/%{install_loc}

mkdir temp
pushd temp
cat > pom.xml << EOF
<project>
  <modelVersion>4.0.0</modelVersion>
  <name>Maven Default Project</name>
  <groupId>org.fedoraproject</groupId>
  <artifactId>dummy</artifactId>
  <version>1.0.0</version>
</project>
EOF
popd
mvn-rpmbuild -f temp/pom.xml org.fedoraproject:feclipse-maven-plugin:install \
	-DsourceRepo=../com.mountainminds.eclemma.site/target/repository -DtargetLocation=%{buildroot}%{install_loc}/eclipse


pushd %{buildroot}/%{install_loc}/eclipse/plugins
  rm -fr org.jacoco*
  ln -s %{_javadir}/jacoco/org.jacoco.agent.jar 
  ln -s %{_javadir}/jacoco/org.jacoco.core.jar 
  ln -s %{_javadir}/jacoco/org.jacoco.report.jar
  ln -s %{_javadir}/objectweb-asm4/asm-all.jar
popd

%clean
find . -type d -exec chmod u+rx {} +

%files
%doc com.mountainminds.eclemma.doc/pages/faq.html
%doc com.mountainminds.eclemma.doc/pages/license.html
%doc com.mountainminds.eclemma.core/about.html
%{install_loc}




%changelog
* Fri Jan 03 2014 dmorgan <dmorgan> 2.2.1-4.mga4
+ Revision: 564337
- Rebuild against last eclipse

* Thu Dec 19 2013 luigiwalser <luigiwalser> 2.2.1-3.mga4
+ Revision: 558990
- rebuild against eclipse-4.3.1-7.mga4

* Tue Oct 22 2013 umeabot <umeabot> 2.2.1-2.mga4
+ Revision: 542156
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 2.2.1-1.mga4
+ Revision: 497008
- New version

* Fri Jan 11 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 349377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 2.2.0-1.mga3
+ Revision: 343703
- New version: 2.2.0 (synced with Fedora)

  + dmorgan <dmorgan>
    - New version

* Mon May 09 2011 dmorgan <dmorgan> 1.5.2-1.mga1
+ Revision: 96760
- imported package eclipse-eclemma


* Wed Apr 27 2011 Alexander Kurtakov <akurtako@redhat.com> 1.5.2-1
- Update to upstream 1.5.2.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5.1-1
- Update to 1.5.1.

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 1.5.0-2
- Push release so that tagging works

* Mon Jul 12 2010 Severin Gehwolf <sgehwolf@redhat.com> 1.5.0-1
- Update to upstream 1.5.0

* Thu Aug 20 2009 Alexander Kurtakov <akurtako@redhat.com> 1.4.2-1
- Update to upstream 1.4.2.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Alexander Kurtakov <akurtako@redhat.com> 1.4.1-1
- Update to new upstream version and updated patch1.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-5
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 03 2008 Andrew Overholt <overholt@redhat.com> 1.3.2-3
- More updates for review (rhbz#444512).
- Add text of Apache license to cover annotations example.

* Wed Dec 03 2008 Andrew Overholt <overholt@redhat.com> 1.3.2-2
- Updates for review (rhbz#444512).

* Thu Oct 16 2008 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-1
- Update to 1.3.2.
- Fix build for eclipse 3.4.

* Fri Apr 25 2008 Andrew Overholt <overholt@redhat.com> 1.3.1-1
- Initial package.
